function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
/**
 * 公厕-报警信息-报警信息汇总
 */
import dayjs from 'dayjs';
import sumBy from 'lodash/sumBy';
import { useEffect } from 'react';
import { VmEmpty, VmPieCharts, VmWrapper } from "../../../_components";
import { DownIcon, UpIcon } from "../../../_util/iconSvgHtml";
import { ExeceptionService } from "../../api";
import { useSetState } from 'ahooks';
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
var Summary = function Summary(_ref) {
  var id = _ref.id;
  var _useSetState = useSetState({
      alarmTabsValue: [],
      totalCount: 0
    }),
    _useSetState2 = _slicedToArray(_useSetState, 2),
    state = _useSetState2[0],
    setState = _useSetState2[1];
  var alarmTabsValue = state.alarmTabsValue,
    totalCount = state.totalCount;
  var _ExeceptionService$us = ExeceptionService.useAlarmSummary(id, dayjs().format('YYYY-MM-DD')),
    alarmSummary = _ExeceptionService$us.alarmSummary;
  var _ExeceptionService$us2 = ExeceptionService.useAlarmTrend(id, dayjs().startOf('M').format('YYYY-MM-DD'), dayjs().format('YYYY-MM-DD')),
    alarmTypes = _ExeceptionService$us2.alarmTypes;
  useEffect(function () {
    var list = [];
    var count = 0;
    if ((alarmTypes === null || alarmTypes === void 0 ? void 0 : alarmTypes.length) > 0) {
      count = sumBy(alarmTypes, function (o) {
        return o.count;
      });
      alarmTypes.forEach(function (ele) {
        var obj = {
          key: ele.typeCode,
          name: ele.typeName,
          value: ele.count
        };
        list.push(obj);
      });
      setState({
        totalCount: count,
        alarmTabsValue: list
      });
    }
  }, [alarmTypes]);
  return /*#__PURE__*/_jsx(VmWrapper, {
    title: "\u5F02\u5E38\u4FE1\u606F\u6C47\u603B",
    children: /*#__PURE__*/_jsxs("div", {
      className: "alarm-summary-chart",
      children: [(alarmTabsValue === null || alarmTabsValue === void 0 ? void 0 : alarmTabsValue.length) > 0 && /*#__PURE__*/_jsxs("div", {
        className: "alarm-summary-compare",
        children: ["\u6708\u540C\u6BD4 ".concat((alarmSummary === null || alarmSummary === void 0 ? void 0 : alarmSummary.thisMonthOnLastMonthCount) || 0, "%"), (alarmSummary === null || alarmSummary === void 0 ? void 0 : alarmSummary.thisMonthOnLastMonthCount) >= 100 ? /*#__PURE__*/_jsx(DownIcon, {
          fill: '#f5222d'
        }) : /*#__PURE__*/_jsx(UpIcon, {
          fill: '#0fb964'
        })]
      }), (alarmTabsValue === null || alarmTabsValue === void 0 ? void 0 : alarmTabsValue.length) > 0 ? /*#__PURE__*/_jsx(_Fragment, {
        children: /*#__PURE__*/_jsx(VmPieCharts, {
          dataList: alarmTabsValue,
          name: '异常类型',
          title: "\u603B\u6570(\u6B21)",
          total: totalCount,
          unit: "\u6B21",
          innerRadius: ['60%', '75%'],
          outerRadius: ['75%', '80%'],
          legendConfig: {
            right: 16
          }
        })
      }) : /*#__PURE__*/_jsx(VmEmpty, {
        type: "NO_CHART"
      })]
    })
  });
};
export default Summary;